@use "../../../../../styles/variables/colorsFacebook.scss";

.group-header {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: colorsFacebook.$gray_background-modal;
    padding-bottom: 5px;

    .group-user-icon {
        width: 40px;
        height: 40px;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border-radius: 20px;
        background-color: colorsFacebook.$gray_light-text;
        margin-top: 10px;

        .user-icon {
            width: 30px;
            height: 30px;
        }

        .group-main-block-btn-wrapper {
            position: absolute;
            right: 0;
            bottom: 10px;

            .fb-button:active {
                right: 10px;
                bottom: 15px;
                height: 40px;
                transform: translateY(-30%);
            }
        }
    }

    .group-short-info-main {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: start;
        margin: 10px 15px;

        .name {
            font-size: 24px;
            font-weight: 600;
            cursor: pointer;
            color: colorsFacebook.$white;
            text-transform: capitalize;
        }

        .name:hover {
            text-decoration: underline;
        }

        .info-block {
            width: 100%;
            display: flex;
            flex-direction: row;
            justify-content: left;
            align-items: center;
            margin-top: 5px;
            margin-bottom: 5px;
            color: colorsFacebook.$gray_light-text;

            .group-status-lock {
                width: 15px;
                height: 15px;
                margin-right: 5px;
                fill: colorsFacebook.$gray_light-text;
            }

            .status {
                margin-right: 15px;
                font-size: 14px;
                text-transform: capitalize;
            }

            .members {
                font-size: 14px;
                cursor: pointer;
                text-transform: lowercase;
            }

            .members:hover {
                text-decoration: underline;
            }
        }
    }

    .fb-button.group-main-block {
        background-color: colorsFacebook.$blue_facebook;
    }

    .fb-button.group-main-block:hover {
        background-color: colorsFacebook.$blue_facebook-hover;
    }
}